Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Class Properties

    java.lang.Object
      org.apache.ode.utils.Properties

    public class Properties

extends java.lang.Object

Nested Class Summary
`static class` | `Properties.Axis2`
`static class` | `Properties.HttpClient`

Field Summary
`static int` | `DEFAULT_MEX_TIMEOUT`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PROP_ADDRESS` Property to override the location set in soap:address or http:address
`static java.lang.String` | `PROP_HTTP_ACCEPT_GZIP`
`static java.lang.String` | `PROP_HTTP_CONNECTION_TIMEOUT`
`static java.lang.String` | `PROP_HTTP_HEADER_PREFIX`
`static java.lang.String` | `PROP_HTTP_MAX_REDIRECTS`
`static java.lang.String` | `PROP_HTTP_PROTOCOL_ENCODING` Deprecated. use org.apache.commons.httpclient.params.HttpMethodParams#HTTP_CONTENT_CHARSET (="http.protocol.content-charset")
`static java.lang.String` | `PROP_HTTP_PROTOCOL_VERSION`
`static java.lang.String` | `PROP_HTTP_PROXY_DOMAIN`
`static java.lang.String` | `PROP_HTTP_PROXY_HOST`
`static java.lang.String` | `PROP_HTTP_PROXY_PASSWORD`
`static java.lang.String` | `PROP_HTTP_PROXY_PORT`
`static java.lang.String` | `PROP_HTTP_PROXY_PREFIX`
`static java.lang.String` | `PROP_HTTP_PROXY_USER`
`static java.lang.String` | `PROP_HTTP_REQUEST_CHUNK`
`static java.lang.String` | `PROP_HTTP_REQUEST_GZIP`
`static java.lang.String` | `PROP_HTTP_SOCKET_TIMEOUT`
`static java.lang.String` | `PROP_JMS_DESTINATION_TYPE`
`static java.lang.String` | `PROP_JMS_REPLY_DESTINATION`
`static java.lang.String` | `PROP_JMS_REPLY_TIMEOUT`
`static java.lang.String` | `PROP_MEX_FAILURE_VERBOSE`
`static java.lang.String` | `PROP_MEX_TIMEOUT` Property used to define how long (in miiliseconds) the message will wait for a response.
`static java.lang.String` | `PROP_SECURITY_POLICY`
`static java.lang.String` | `PROP_SEND_WS_ADDRESSING_HEADERS`

Constructor Summary
`Properties()`

Method Summary
`static java.lang.Object[]` | `getProxyAndHeaders(java.util.Map<java.lang.String,java.lang.String> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_MEX_TIMEOUT

    public static final java.lang.String PROP_MEX_TIMEOUT

  Property used to define how long (in miiliseconds) the message will wait for a response. Default value is `DEFAULT_MEX_TIMEOUT`

  See Also:
    Constant Field Values

### DEFAULT_MEX_TIMEOUT

    public static final int DEFAULT_MEX_TIMEOUT

See Also:
  Constant Field Values

### PROP_MEX_FAILURE_VERBOSE

    public static final java.lang.String PROP_MEX_FAILURE_VERBOSE

See Also:
  Constant Field Values

### PROP_HTTP_CONNECTION_TIMEOUT

    public static final java.lang.String PROP_HTTP_CONNECTION_TIMEOUT

See Also:
  Constant Field Values

### PROP_HTTP_SOCKET_TIMEOUT

    public static final java.lang.String PROP_HTTP_SOCKET_TIMEOUT

See Also:
  Constant Field Values

### PROP_HTTP_PROTOCOL_VERSION

    public static final java.lang.String PROP_HTTP_PROTOCOL_VERSION

See Also:
  Constant Field Values

### PROP_HTTP_HEADER_PREFIX

    public static final java.lang.String PROP_HTTP_HEADER_PREFIX

See Also:
  Constant Field Values

### PROP_HTTP_PROXY_PREFIX

    public static final java.lang.String PROP_HTTP_PROXY_PREFIX

See Also:
  Constant Field Values

### PROP_HTTP_PROXY_HOST

    public static final java.lang.String PROP_HTTP_PROXY_HOST

See Also:
  Constant Field Values

### PROP_HTTP_PROXY_PORT

    public static final java.lang.String PROP_HTTP_PROXY_PORT

See Also:
  Constant Field Values

### PROP_HTTP_PROXY_DOMAIN

    public static final java.lang.String PROP_HTTP_PROXY_DOMAIN

See Also:
  Constant Field Values

### PROP_HTTP_PROXY_USER

    public static final java.lang.String PROP_HTTP_PROXY_USER

See Also:
  Constant Field Values

### PROP_HTTP_PROXY_PASSWORD

    public static final java.lang.String PROP_HTTP_PROXY_PASSWORD

See Also:
  Constant Field Values

### PROP_HTTP_PROTOCOL_ENCODING

    public static final java.lang.String PROP_HTTP_PROTOCOL_ENCODING

  Deprecated. use org.apache.commons.httpclient.params.HttpMethodParams#HTTP_CONTENT_CHARSET (="http.protocol.content-charset")
  See Also:
    Constant Field Values

### PROP_ADDRESS

    public static final java.lang.String PROP_ADDRESS

  Property to override the location set in soap:address or http:address

  See Also:
    Constant Field Values

### PROP_HTTP_MAX_REDIRECTS

    public static final java.lang.String PROP_HTTP_MAX_REDIRECTS

See Also:
  Constant Field Values

### PROP_HTTP_REQUEST_CHUNK

    public static final java.lang.String PROP_HTTP_REQUEST_CHUNK

See Also:
  Constant Field Values

### PROP_HTTP_REQUEST_GZIP

    public static final java.lang.String PROP_HTTP_REQUEST_GZIP

See Also:
  Constant Field Values

### PROP_HTTP_ACCEPT_GZIP

    public static final java.lang.String PROP_HTTP_ACCEPT_GZIP

See Also:
  Constant Field Values

### PROP_SECURITY_POLICY

    public static final java.lang.String PROP_SECURITY_POLICY

See Also:
  Constant Field Values

### PROP_JMS_REPLY_DESTINATION

    public static final java.lang.String PROP_JMS_REPLY_DESTINATION

See Also:
  Constant Field Values

### PROP_JMS_REPLY_TIMEOUT

    public static final java.lang.String PROP_JMS_REPLY_TIMEOUT

See Also:
  Constant Field Values

### PROP_JMS_DESTINATION_TYPE

    public static final java.lang.String PROP_JMS_DESTINATION_TYPE

See Also:
  Constant Field Values

### PROP_SEND_WS_ADDRESSING_HEADERS

    public static final java.lang.String PROP_SEND_WS_ADDRESSING_HEADERS

See Also:
  Constant Field Values

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### Properties

    public Properties()

Method Detail

### getProxyAndHeaders

    public static java.lang.Object[] getProxyAndHeaders(java.util.Map<java.lang.String,java.lang.String> properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD